#include <bits/stdc++.h>

using namespace std;
int n;
int x;
int A[20][20];

int main(){
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    cin>>n;
    cout<<"1 4"<<'\n'<<"2 3";
    //for(int i=1;i<=n*n;i++) cin>>x;
    //for(int i=1;i<=n;i++) for(int j=1;j<=n;j++) cin>>A[i][j];
    
    return 0;
}